vn.py量化社区
By Traders, For Traders.
Member
加入于:
帖子: 13
声望: 0

在币安实盘交易时,一开始正常,过了一段时间后,忽然提示“触发异常,未响应”,无法看到具体原因,只能关闭重启,2.1.5版本。目前发生过3次,请问可能是什么原因?

description

Member
avatar
加入于:
帖子: 2013
声望: 133

请在cmd中用python -m vnstation启动,看看cmd是否有任何报错

Member
avatar
加入于:
帖子: 60
声望: 0

我也经常出现,币安有啥毛病吗?

Member
avatar
加入于:
帖子: 60
声望: 0

我运行的是币安的网格策略
(VN Studio) C:\vnstudio>python -m vnstation
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set_ciphersuites
qt.network.ssl: QSslSocket: cannot resolve SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback

Member
avatar
加入于:
帖子: 2013
声望: 133

这个是QT底层网络库提示,不影响使用的话忽略就好了

Member
avatar
加入于:
帖子: 60
声望: 0

影响了,策略停了

Administrator
avatar
加入于:
帖子: 4595
声望: 262

顺势而为 wrote:

影响了,策略停了

如果策略暂停,CMD中会有上面日志以外的输出,请截图后发在这里

Member
avatar
加入于:
帖子: 60
声望: 0

win 2016 sever + vnstudio 2.17
系统自带的网格策略,币安连续,一般跑个几天崩溃一次。异常窗口空白。

description

Member
avatar
加入于:
帖子: 60
声望: 0

C:\Users\Administrator>python -m vnstation
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set_ciphersuites
qt.network.ssl: QSslSocket: cannot resolve SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
[5016:2324:1121/004851.887:ERROR:mf_helpers.cc(14)] Error in dxva_video_decode_accelerator_win.cc on line 517

Administrator
avatar
加入于:
帖子: 4595
声望: 262

这个空白窗口,等待一段后也不会刷出显示内容吗?

没有日志就没法排查了。。。

Member
avatar
加入于:
帖子: 60
声望: 0

这段怎么看呢?
C:\Users\Administrator>python -m vnstation
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set_ciphersuites
qt.network.ssl: QSslSocket: cannot resolve SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
[5016:2324:1121/004851.887:ERROR:mf_helpers.cc(14)] Error in dxva_video_decode_accelerator_win.cc on line 517

Member
avatar
加入于:
帖子: 2013
声望: 133

可参考https://www.vnpy.com/forum/topic/3739-vn-stationdeng-lu-ti-shi-fu-wu-qi-dang-qian-wu-xiang-ying-de-jie-jue-fang-an试试看

Administrator
avatar
加入于:
帖子: 4595
声望: 262

顺势而为 wrote:

这段怎么看呢?
C:\Users\Administrator>python -m vnstation
qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_set_ciphersuites
qt.network.ssl: QSslSocket: cannot resolve SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
[5016:2324:1121/004851.887:ERROR:mf_helpers.cc(14)] Error in dxva_video_decode_accelerator_win.cc on line 517

这段报错是常见的QT网络层SSL提示,和VN Trader的运行没关系

Member
avatar
加入于:
帖子: 60
声望: 0

应该是vnpy的币安gateway对撤单异常处理有缺陷,处理后已经好几天没出问题了。
有需要的同道可私信。

Member
avatar
加入于:
帖子: 2013
声望: 133

顺势而为 wrote:

应该是vnpy的币安gateway对撤单异常处理有缺陷,处理后已经好几天没出问题了。
有需要的同道可私信。
请问您发现了哪里有问题呢?方便的话可以去github提个issue吗?我们会有人来处理的。
还请问有您是什么系统呢?

Member
avatar
加入于:
帖子: 1
声望: 0

实测网络波动也会出现此现象,换了专线网络就稳定了。

Member
avatar
加入于:
帖子: 60
声望: 0

description

Member
avatar
加入于:
帖子: 60
声望: 0

qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
[2020-12-21T21:10:52.618308]: Unhandled RestClient Error:<class 'requests.exceptions.ConnectionError'>
request:request : POST /fapi/v1/order?newClientOrderId=328hhn6c-201217154509000859&price=2.92&quantity=100.0&side=SELL&symbol=EOSUSDT&timeInForce=GTC&timestamp=1608585052607&type=LIMIT&signature=aebe69c28a922afc53f0da99f1149a3c2684c9f3e3fb20fc8a298d1726f32521 error because terminated:
headers: {'Content-Type': 'application/x-www-form-urlencoded', 'Accept': 'application/json', 'X-MBX-APIKEY': 'RYYbuqIUBQXq23gXk8Y2da72B9A2Rlgvnrs7rea3LksvtdYvrn0yM3uufLY04Nkf'}
params: {}
data: {}
response:

Exception trace:
Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 677, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 727, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "C:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 410, in increment
raise six.reraise(type(error), error, _stacktrace)
File "C:\vnstudio\lib\site-packages\urllib3\packages\six.py", line 734, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 677, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnpy\api\rest\rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 530, in request
resp = self.send(prep, send_kwargs)
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 643, in send
r = adapter.send(request,
kwargs)
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))
Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 677, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 727, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "C:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 410, in increment
raise six.reraise(type(error), error, _stacktrace)
File "C:\vnstudio\lib\site-packages\urllib3\packages\six.py", line 734, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 677, in urlopen
chunked=chunked,
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "C:\vnstudio\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\vnstudio\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\vnstudio\lib\http\client.py", line 257, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "C:\vnstudio\lib\socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "C:\vnstudio\lib\ssl.py", line 1052, in recv_into
return self.read(nbytes, buffer)
File "C:\vnstudio\lib\ssl.py", line 911, in read
return self._sslobj.read(len, buffer)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnpy\api\rest\rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 530, in request
resp = self.send(prep, send_kwargs)
File "C:\vnstudio\lib\site-packages\requests\sessions.py", line 643, in send
r = adapter.send(request,
kwargs)
File "C:\vnstudio\lib\site-packages\requests\adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_set_psk_use_session_callback

Member
avatar
加入于:
帖子: 60
声望: 0

所有的报错在上面了,紧急求助咋解决。

Member
avatar
加入于:
帖子: 2013
声望: 133

可参考https://www.vnpy.com/forum/topic/5153-bi-an-yun-xing-zhong-bao-cuo-connectionerror-qing-wen-shi-shi-yao-yuan-yin
https://www.vnpy.com/forum/topic/2475-huo-bi-lian-jie-chu-xian-duan-kai-qing-kuang-dui-zheng-zai-pao-de-ce-lue-you-ying-xiang-ma

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号